summaryrefslogtreecommitdiffstats
path: root/www/firefox-devel/pkg-deinstall.in
diff options
context:
space:
mode:
authormarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2005-03-05 09:49:03 +0800
committermarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2005-03-05 09:49:03 +0800
commit8873c153d07a5669df16174aa06e9d969dfd5722 (patch)
treecf70af68f63fda720f8e0120672329f90d0ba313 /www/firefox-devel/pkg-deinstall.in
parent72cb2251c71ff3fe3c4cee60afd708a1d7399d2c (diff)
downloadmarcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.tar
marcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.tar.gz
marcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.tar.bz2
marcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.tar.lz
marcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.tar.xz
marcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.tar.zst
marcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.zip
Update freetype2 to 2.1.9, and fix Mozilla and Firefox so that they compile
against it. Since there is no ABI change in 2.1.9, we do not need to bump the PORTREVISIONs for mozilla and firefox. PR: 78385 Submitted by: lesi git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@3806 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'www/firefox-devel/pkg-deinstall.in')
-rw-r--r--www/firefox-devel/pkg-deinstall.in25
1 files changed, 25 insertions, 0 deletions
diff --git a/www/firefox-devel/pkg-deinstall.in b/www/firefox-devel/pkg-deinstall.in
new file mode 100644
index 000000000..0b6b88f64
--- /dev/null
+++ b/www/firefox-devel/pkg-deinstall.in
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# $FreeBSD: ports/www/firefox/pkg-deinstall.in,v 1.3 2004/10/28 21:37:53 marcus Exp $
+#
+# Date created: Mon Nov 29, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+# Fix the chrome registry.
+
+umask 022
+PATH=/bin:/usr/bin
+
+[ "x$1" = "x" ] && exit 1
+[ "x$2" != "xDEINSTALL" ] && exit 0
+
+MOZDIR=%%MOZDIR%%
+
+rm -rf ${MOZDIR}/chrome/overlayinfo
+rm -f ${MOZDIR}/chrome/*.rdf
+rm -f ${MOZDIR}/component.reg
+rm -f ${MOZDIR}/components.ini
+rm -f ${MOZDIR}/defaults.ini
+rm -f ${MOZDIR}/components/*.dat
+rm -rf ${MOZDIR}/extensions
+
+exit 0